print_modname() {
  ui_print "*******************************"
  ui_print "    Razer Game Engine    "
  ui_print "Module Developer  By FALL"
  ui_print "*******************************"
}

on_install() {
  ui_print "- I'm releasing the files"
  unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2
}

set_permissions() {
  set_perm_recursive  $MODPATH  0  0  0755  0644
}

CommonPath=$MODPATH/common
if [ ! -d ${CommonPath} ];then
  ui_print "Module Advanced Settings does not need to be fixed!"
  
elif [ "`ls -A ${CommonPath}`" = "" ];then
    ui_print "Module advanced Settings is empty!"
    rm  -rf  ${CommonPath}
else
  ui_print "- Module advanced Settings in progress"
  mv  ${CommonPath}/*  $MODPATH
  rm  -rf ${CommonPath}
fi